#!/bin/sh
# This is a temporary install script until the full UnixOS/2 package
# administration tools are available.

# the package you want to install
package="autoconf 2.57"
# programs you need
programs="sed install-info /usr/bin/m4 /usr/bin/perl patchux2"
# files to be patched
patchfiles="usr/bin/autoconf usr/bin/autoheader usr/bin/autom4te usr/bin/autoreconf \
 usr/bin/autoscan usr/bin/autoupdate usr/bin/ifnames usr/share/autoconf/autom4te.cfg"
# info files
infodir="usr/share/info"
infofiles="autoconf.info"

# search for programs
for i in $programs; do
  $i --version >/dev/null 2>/dev/null
  if [ "$?" = 0 ]; then
    echo "program '$i' is available and works"
  else
    echo "error: program '$i' not found"
    echo "       you need '$i' otherwise '$package' will not work"
    exit 1
  fi
done

# patch the files
for i in $patchfiles; do
  echo "patchux2 --level 2 $i"
  patchux2 --level 2 $i
  if [ "$?" != 0 ]; then echo "error: execution of patchux2 failed"; exit 1; fi
done

# install the .info file
for i in $infofiles; do
  echo "install-info --info-dir=$infodir $infodir/$i"
  install-info --info-dir=$infodir $infodir/$i
  if [ "$?" != 0 ]; then echo "error: execution of install-info failed"; exit 1; fi
done

echo "installation of '$package' successful"

